--
-- PostgreSQL database dump
--

-- Dumped from database version 12devel
-- Dumped by pg_dump version 12devel

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

--
-- Name: users; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users (
    username text NOT NULL,
    password text
)
PARTITION BY HASH (username);


ALTER TABLE public.users OWNER TO depesz;

SET default_table_access_method = heap;

--
-- Name: users_0; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_0 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_0 FOR VALUES WITH (modulus 8, remainder 0);


ALTER TABLE public.users_0 OWNER TO depesz;

--
-- Name: users_1; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_1 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_1 FOR VALUES WITH (modulus 8, remainder 1);


ALTER TABLE public.users_1 OWNER TO depesz;

--
-- Name: users_2; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_2 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_2 FOR VALUES WITH (modulus 8, remainder 2);


ALTER TABLE public.users_2 OWNER TO depesz;

--
-- Name: users_3; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_3 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_3 FOR VALUES WITH (modulus 8, remainder 3);


ALTER TABLE public.users_3 OWNER TO depesz;

--
-- Name: users_4; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_4 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_4 FOR VALUES WITH (modulus 8, remainder 4);


ALTER TABLE public.users_4 OWNER TO depesz;

--
-- Name: users_5; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_5 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_5 FOR VALUES WITH (modulus 8, remainder 5);


ALTER TABLE public.users_5 OWNER TO depesz;

--
-- Name: users_6; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_6 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_6 FOR VALUES WITH (modulus 8, remainder 6);


ALTER TABLE public.users_6 OWNER TO depesz;

--
-- Name: users_7; Type: TABLE; Schema: public; Owner: depesz
--

CREATE TABLE public.users_7 (
    username text,
    password text
);
ALTER TABLE ONLY public.users ATTACH PARTITION public.users_7 FOR VALUES WITH (modulus 8, remainder 7);


ALTER TABLE public.users_7 OWNER TO depesz;

--
-- Data for Name: users_0; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_0 (username, password) FROM stdin;
\.


--
-- Data for Name: users_1; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_1 (username, password) FROM stdin;
\.


--
-- Data for Name: users_2; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_2 (username, password) FROM stdin;
\.


--
-- Data for Name: users_3; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_3 (username, password) FROM stdin;
\.


--
-- Data for Name: users_4; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_4 (username, password) FROM stdin;
\.


--
-- Data for Name: users_5; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_5 (username, password) FROM stdin;
\.


--
-- Data for Name: users_6; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_6 (username, password) FROM stdin;
\.


--
-- Data for Name: users_7; Type: TABLE DATA; Schema: public; Owner: depesz
--

COPY public.users_7 (username, password) FROM stdin;
\.


--
-- Name: users users_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users
    ADD CONSTRAINT users_pkey PRIMARY KEY (username);


--
-- Name: users_0 users_0_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_0
    ADD CONSTRAINT users_0_pkey PRIMARY KEY (username);


--
-- Name: users_1 users_1_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_1
    ADD CONSTRAINT users_1_pkey PRIMARY KEY (username);


--
-- Name: users_2 users_2_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_2
    ADD CONSTRAINT users_2_pkey PRIMARY KEY (username);


--
-- Name: users_3 users_3_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_3
    ADD CONSTRAINT users_3_pkey PRIMARY KEY (username);


--
-- Name: users_4 users_4_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_4
    ADD CONSTRAINT users_4_pkey PRIMARY KEY (username);


--
-- Name: users_5 users_5_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_5
    ADD CONSTRAINT users_5_pkey PRIMARY KEY (username);


--
-- Name: users_6 users_6_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_6
    ADD CONSTRAINT users_6_pkey PRIMARY KEY (username);


--
-- Name: users_7 users_7_pkey; Type: CONSTRAINT; Schema: public; Owner: depesz
--

ALTER TABLE ONLY public.users_7
    ADD CONSTRAINT users_7_pkey PRIMARY KEY (username);


--
-- Name: users_0_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_0_pkey;


--
-- Name: users_1_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_1_pkey;


--
-- Name: users_2_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_2_pkey;


--
-- Name: users_3_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_3_pkey;


--
-- Name: users_4_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_4_pkey;


--
-- Name: users_5_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_5_pkey;


--
-- Name: users_6_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_6_pkey;


--
-- Name: users_7_pkey; Type: INDEX ATTACH; Schema: public; Owner: -
--

ALTER INDEX public.users_pkey ATTACH PARTITION public.users_7_pkey;


--
-- PostgreSQL database dump complete
--

